(function(exports) {
    var publish_version = false,
	server,
	imgUrlDomain,
	agentName = "wlyyAgentForDoc",
	userInfo = "userInfoForPay",
	userAgent = window.localStorage.getItem(agentName);//获取pcIM缓存
	//临时添加
	var sendHead = {};
	var userObj = JSON.parse(userAgent)
	sendHead.uid = userObj.uid
	sendHead.imei = localStorage.getItem('WLYY_IMEI')
	sendHead.platform = 4
	sendHead.token= userObj.token
	
    if(publish_version) { //生产环境配置
        server = ""  
    } else { //测试环境配置
        server = "http://172.19.103.88:9092/wlyy/";
        imserver = "http://172.19.103.88:3000/api/v2";
        imgUrlDomain = "http://172.19.103.54/";
    }

    function httpGet(url, options) {
        //发送ajax请求
        return new Promise(function(resolve, reject) {
            $.ajax(server + url,
                $.extend({}, {
                    type: 'GET',
                    dataType: 'JSON',
                    beforeSend: function(request) {                   	
                    	request.setRequestHeader("userAgent", JSON.stringify(sendHead));
                    },
                    error: function(res) {
                        reject(res)
                    },
                    success: function(res) {
                        resolve(res)
                    }
                }, options));
        })
    }

    function httpPost(url, options) {
        //发送ajax请求
        return new Promise(function(resolve, reject) {
            $.ajax(server + url,
                $.extend({}, {
                    type: 'POST',
                    dataType: 'JSON',
                    beforeSend: function(request) {
                    	request.setRequestHeader("userAgent", JSON.stringify(sendHead));
                    },
                    error: function(res) {
                        reject(res)
                    },
                    success: function(res) {
                        resolve(res)
                    }
                }, options));
        })
    }
    
    function imHttpGet(url, options) {
        //发送ajax请求
        return new Promise(function(resolve, reject) {
            $.ajax(imserver + url,
                $.extend({}, {
                    type: 'GET',
                    dataType: 'JSON',
                    beforeSend: function(request) {
                        request.setRequestHeader("userAgent", JSON.stringify(sendHead));
                    },
                    error: function(res) {
                        reject(res)
                    },
                    success: function(res) {
                        resolve(res)
                    }
                }, options));
        })
    }
    
    /*
	 * 获取图片路径
	 */
	function getImgUrl(str){
		if(typeof str != 'string'){
		    return "";
		}
		if(str.length == 0){
	        return "";
	    }else{
	        if(str.indexOf("../")>-1){
	            //访问本地路径
	            return str;
	        }else if((str.indexOf("http://")>-1) || (str.indexOf("https://")>-1)){
	            return str;
	        }else{
	            //服务器上的图片路径
	            return imgUrlDomain + str;
	        }
	    }
	}

    httpRequest = {
    	server: server,
    	userInfo: userInfo,
    	agentName: agentName,
    	userAgent:userAgent,
        get: function(url, options) {
        	return httpGet(url, options)
        },
        post: function(url, options) {
        	return httpPost(url, options)
        },
        getImgUrl:function(url){
        	return getImgUrl(url)
        },
        imGet:function(url, options) {
        	return imHttpGet(url, options)
        }
    }
    exports.httpRequest = httpRequest;
})(window)