new Vue({
  el: '#app',
  data: {
  	//type: 1复选框  2单选框  3 number类型  4下拉选择 5文本输入框  6时间datetime-local
   	targets:[
   		{
				name:'控制时间',
				company:1,
				value:'2018-03-11T16:00:00',
				type:6,
				require:0,
				unit:'',
				class:'form-control-180'
	  	},{
				name:'制定者',
				company:1,
				value:['陈医生','王医生'],
				type:4,
				require:0,
				unit:'',
				class:'form-control-120'
	  	},{
				name:'血压',
				company:2,
				type:4,
				require:0,
				unit:'',
				class:'form-control-120',
				inputs:[{type:3,value:80},{type:3,value:100}]
	  	},{
				name:'空腹血糖',
				company:1,
				value:'100',
				type:3,
				require:0,
				unit:'mmol/L',
	  	},{
				name:'餐后血糖',
				company:1,
				value:'100',
				type:3,
				require:0,
				unit:'mmol/L',
	  	},{
				name:'糖化血红蛋白',
				company:1,
				value:'200',
				type:3,
				require:0,
				unit:'%',
   			class:'form-control-120'
	  	},{
				name:'甘油三酯',
				company:1,
				value:'100',
				type:3,
				require:0,
				unit:'mmol/L'
	  	},{
				name:'总胆固醇',
				company:1,
				value:'10',
				type:3,
				require:0,
				unit:'mmol/L'
	  	},{
				name:'低密度脂蛋白',
				company:1,
				value:'300',
				type:3,
				require:0,
				unit:'mol/L',
   			class:'form-control-120'
	  	},{
				name:'体重',
				company:1,
				value:'120',
				type:3,
				require:0,
				unit:'kg'
	  	},{
   			name:'运动频率',
   			company:1,
   			type:4,
   			require:0,
   			value:['每周>3次','每周<=3次','极少运动','残疾、关节等原因不能运动','不详'],
   			class:'form-control-120'
   		},{
				name:'运动时长',
				company:1,
				value:'120',
				type:3,
				require:0,
				unit:'分钟/次'
	  	}
   	]
  },
  mounted: function() {
  	
  }
})